[lfs-fr] r7071 - in trunk/lfs: . appendices chapter01 chapter03 chapter05 chapter06

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Mer 9 Mar 04:09:36 PST 2016


Author: jmengual
Date: 2016-03-09 04:09:36 -0800 (Wed, 09 Mar 2016)
New Revision: 7071

Modified:
   trunk/lfs/appendices/dependencies.xml
   trunk/lfs/chapter01/changelog.xml
   trunk/lfs/chapter01/whatsnew.xml
   trunk/lfs/chapter03/patches.xml
   trunk/lfs/chapter05/glibc.xml
   trunk/lfs/chapter05/ncurses.xml
   trunk/lfs/chapter06/createfiles.xml
   trunk/lfs/chapter06/glibc.xml
   trunk/lfs/chapter06/mpfr.xml
   trunk/lfs/chapter06/texinfo.xml
   trunk/lfs/general.ent
   trunk/lfs/packages.ent
   trunk/lfs/patches.ent
Log:
11028-11034



Modified: trunk/lfs/appendices/dependencies.xml
===================================================================
--- trunk/lfs/appendices/dependencies.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/appendices/dependencies.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -425,7 +425,7 @@
         <segtitle>&before;</segtitle>
 
         <seglistitem>
-          <seg>Bash, Diffutils, Findutils, Man-DB et Udev</seg>
+          <seg>Bash, Diffutils, Findutils, Man-DB et Eudev</seg>
         </seglistitem>
       </segmentedlist>
 
@@ -1397,7 +1397,7 @@
         <segtitle>&before;</segtitle>
 
         <seglistitem>
-          <seg>Udev</seg>
+          <seg>Eudev</seg>
         </seglistitem>
       </segmentedlist>
 
@@ -2378,43 +2378,6 @@
         </seglistitem>
       </segmentedlist>
 
-<!-- Begin Udev dependency info -->
-<!--
-  <bridgehead renderas="sect2" id="udev-dep">Udev</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-         Kmod, Make, Sed et Util-linux</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Aucune suite de tests disponible</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>Aucune</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&external;</segtitle>
-
-        <seglistitem>
-          <seg>Glib, Pci-Utils, Python, Systemd, USB-Utils</seg>
-        </seglistitem>
-      </segmentedlist>
--->
 <!-- Begin Util-linux dependency info -->
   <bridgehead renderas="sect2" id="util-linux-dep">Util-linux</bridgehead>
 
@@ -2423,7 +2386,7 @@
 
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
-         Gettext, Glibc, Grep, Make, Ncurses, Sed, Udev et Zlib</seg>
+         Gettext, Glibc, Grep, Make, Ncurses, Sed, Eudev et Zlib</seg>
         </seglistitem>
       </segmentedlist>
 
@@ -2545,7 +2508,7 @@
         <segtitle>&before;</segtitle>
 
         <seglistitem>
-          <seg>GRUB, Kmod, Man-DB, Udev</seg>
+          <seg>GRUB, Kmod, Man-DB, Eudev</seg>
         </seglistitem>
       </segmentedlist>
 

Modified: trunk/lfs/chapter01/changelog.xml
===================================================================
--- trunk/lfs/chapter01/changelog.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter01/changelog.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -37,363 +37,48 @@
     </listitem>
 -->
     <listitem>
-      <para>26-02-2016</para>
+      <para>09-03-2016</para>
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - On empêche attr et shadow de remplacer les pages de
-          man installées par le paquet man-pages.  Corrige
-          <ulink url="&lfs-ticket-root;3890">#3890</ulink>, 
-          <ulink url="&lfs-ticket-root;3891">#3891</ulink>, et
-          <ulink url="&lfs-ticket-root;3892">#3892</ulink></para>
+          <para>[bdubbs] - Passage à mpfr-3.1.4. Corrige
+          <ulink url="&lfs-ticket-root;3902">#3902</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[bdubbs] - Conservation de la bibliothèque statique de flex pour
-          les tests de régression d'automake. Suppression à la fin du chapitre
-          6. Corrige
-          <ulink url="&lfs-ticket-root;3894">#3894</ulink>.</para>
+          <para>[bdubbs] - Passage à linux-4.4.4. Corrige
+          <ulink url="&lfs-ticket-root;3803">#3893</ulink>.</para>
         </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>16-02-2016</para>
-      <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Publication de LFS-7.9-rc2.</para>
+          <para>[bdubbs] - Passage à pkg-config-0.29.1. Corrige
+          <ulink url="&lfs-ticket-root;3901">#3901</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[bdubbs] - Passage à glibc-2.23.  Corrige
-          <ulink url="&lfs-ticket-root;3889">#3889</ulink>.</para>
+          <para>[bdubbs] - Passage à tcl-6.8.5. Corrige
+          <ulink url="&lfs-ticket-root;3808">#3898</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[bdubbs] - Passage à linux-4.4.2.  Corrige
-          <ulink url="&lfs-ticket-root;3888">#3888</ulink>.</para>
+          <para>[bdubbs] - Suppression de --disable-profile des instructions pour Glibc.
+          Corrige <ulink url="&lfs-ticket-root;3805">#3895</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[bdubbs] - Mise à jour des correctifs pour bash, binutils, 
-          glibc, mpfr et gcc à partir des dépôts en amont. Corrige (entre autres)
-          <ulink url="&lfs-ticket-root;3887">#3887</ulink>.</para>
+          <para>[bdubbs] - Création de /var/log/faillog. Corrige
+          <ulink url="&lfs-ticket-root;3809">#3899</ulink>.</para>
         </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>05-02-2016</para>
-      <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Passage à grep-2.23. Corrige
-          <ulink url="&lfs-ticket-root;3881">#3881</ulink>.</para>
+          <para>[bdubbs] - Suppression de --enable-obsolete-rpc due glibc au
+          chapitre 5. Corrige
+          <ulink url="&lfs-ticket-root;3809">#3899</ulink>.</para>
         </listitem>
       </itemizedlist>
     </listitem>
 
     <listitem>
-      <para>02-02-2016</para>
+      <para>08-03-2016</para>
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Passage à binutils-2.26. Corrige
-          <ulink url="&lfs-ticket-root;3882">#3882</ulink>.</para>
+          <para>[bdubbs] - Publication de LFS-7.9.</para>
         </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à tzdata-2016a. Corrige
-          <ulink url="&lfs-ticket-root;3883">#3883</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à libcap-2.25. Corrige
-          <ulink url="&lfs-ticket-root;3884">#3884</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.4.1. Corrige
-          <ulink url="&lfs-ticket-root;3885">#3885</ulink>.</para>
-        </listitem>
       </itemizedlist>
     </listitem>
 
-    <listitem>
-      <para>27-01-2016</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Déplacement des épertoires externes de construction
-          dans des répertoires de construction dédiés et à l'intérieur de
-          l'arborescence des sources pour
-          binutils, gcc, et glibc.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>24-01-2016</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à coreutils-8.25. Corrige
-          <ulink url="&lfs-ticket-root;3880">#3880</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Simplification de les procédures d'installation de
-          bash. Corrige
-          <ulink url="&lfs-ticket-root;3879">#3879</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>17-01-2016</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.4. Corrige
-          <ulink url="&lfs-ticket-root;3877">#3877</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à iproute2-4.4.0. Corrige
-          <ulink url="&lfs-ticket-root;3878">#3878</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>01-01-2016</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à man-pages-4.04. Corrige
-          <ulink url="&lfs-ticket-root;3875">#3875</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>29-12-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Ajout d'OpenSSL comme dépendance facultative du noyau.
-          Corrge <ulink url="&lfs-ticket-root;3872">#3872</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passafe à findutils-4.6.0. Corrige
-          <ulink url="&lfs-ticket-root;3873">#3873</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à gettext-0.19.7. Corrige
-          <ulink url="&lfs-ticket-root;3874">#3874</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>21-12-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.3.3.</para> 
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>19-12-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Reformulation de la remarque sur la conformité au FHS.
-          Corrige <ulink url="&lfs-ticket-root;3871">#3871</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à perl-5.22.1. Corrige
-          <ulink url="&lfs-ticket-root;3870">#3870</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à perl-5.22.1. Corrige
-          <ulink url="&lfs-ticket-root;3870">#3870</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.3.1. Corrige
-          <ulink url="&lfs-ticket-root;3868">#3868</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à man-pages-4.03. Corrige
-          <ulink url="&lfs-ticket-root;3867">#3867</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Correction d'un problème de xz identifié en amont. 
-          Corrige <ulink url="&lfs-ticket-root;3869">#3869</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>06-12-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à gcc-5.3.0. Corrige
-          <ulink url="&lfs-ticket-root;3866">#3866</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>03-12-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à gmp-6.1.0. Corrige
-          <ulink url="&lfs-ticket-root;3862">#3862</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Nettoyage des options de configuration d'Eudev. Corrige
-          <ulink url="&lfs-ticket-root;3865">#3865</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Mise à jour des prérequis de l'hôte pour exiger GCC-4.7 ou supérieur.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Clarification du fait que la définition et l'utilisation
-          la variable LFS implique un shell bash.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>18-11-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à flex-2.6.0. Corrige
-          <ulink url="&lfs-ticket-root;3860">#3860</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à man-db-2.7.5. Corrige
-          <ulink url="&lfs-ticket-root;3859">#3859</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à kmod-22. Corrige
-          <ulink url="&lfs-ticket-root;3861">#3861</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>06-11-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Ajout de glibc-2.22-largefile-1.patch.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.3. Corrige
-          <ulink url="&lfs-ticket-root;3857">#3857</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à iproute2-4.3.0. Corrige
-          <ulink url="&lfs-ticket-root;3858">#3858</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>02-11-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à grep-2.22. Corrige
-          <ulink url="&lfs-ticket-root;3855">#3855</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.2.5. Corrige
-          <ulink url="&lfs-ticket-root;3854">#3854</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à util-linux-2.27.1. Corrige
-          <ulink url="&lfs-ticket-root;3856">#3856</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>25-10-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Révision de version-check.sh pour corriger de mauvais
-          liens symboliques /bin/sh.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>17-10-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à less-481. Corrige
-          <ulink url="&lfs-ticket-root;3853">#3853</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à eudev-3.1.5. Corrige
-          <ulink url="&lfs-ticket-root;3851">#3851</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>12-10-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à man-db-2.7.4. Corrige
-          <ulink url="&lfs-ticket-root;3850">#3850</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.2.3. Corrige
-          <ulink url="&lfs-ticket-root;3844">#3844</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à tzdata2015g. Corrige
-          <ulink url="&lfs-ticket-root;3845">#3845</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Nombreuses mises à jour des fichiers et des répertoires
-          installés.  Grand merci à Fernando. Corrige
-          <ulink url="&lfs-ticket-root;3849">#3849</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>11-10-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Reset location of anduin hosted files.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>02-10-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage des références à ncursesw5 vers
-          ncursesw6.  Merci à Pierre Labastie pour le correctif.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>01-10-2015</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage Ï man-db-2.7.3. Corrige
-          <ulink url="&lfs-ticket-root;3837">#3837</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à gettext-0.19.6. Corrige
-          <ulink url="&lfs-ticket-root;3838">#3838</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à file-5.25. Corrige
-          <ulink url="&lfs-ticket-root;3839">#3839</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à linux-4.2.1. Corrige
-          <ulink url="&lfs-ticket-root;3840">#3840</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à pkg-config-0.29. Corrige
-          <ulink url="&lfs-ticket-root;3842">#3842</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à xz-5.2.2. Corrige
-          <ulink url="&lfs-ticket-root;3843">#3843</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Publication de LFS-7.8.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
   </itemizedlist>
 </sect1>

Modified: trunk/lfs/chapter01/whatsnew.xml
===================================================================
--- trunk/lfs/chapter01/whatsnew.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter01/whatsnew.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -19,7 +19,6 @@
     package is removed from the book entirely.
   -->
 
-
   <itemizedlist>
     <title>Mis à jour vers :</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
@@ -41,9 +40,9 @@
     <!--<listitem>
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Binutils &binutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Bison &bison-version;</para>
     </listitem>-->
@@ -53,9 +52,9 @@
     <!--<listitem>
       <para>Check &check-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Coreutils &coreutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>DejaGNU &dejagnu-version;</para>
     </listitem>-->
@@ -62,12 +61,12 @@
     <!--<listitem>
       <para>Diffutils &diffutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Eudev &eudev-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Expat-&expat-version;</para>
     </listitem>-->
@@ -74,39 +73,39 @@
     <!--<listitem>
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>File &file-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Findutils &findutils-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Flex &flex-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>GDBM &gdbm-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Gettext &gettext-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Grep &grep-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Groff &groff-version;</para>
     </listitem>-->
@@ -125,24 +124,24 @@
     <!--<listitem>
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Kmod &kmod-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Less &less-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>LFS-Bootscripts &lfs-bootscripts-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Libpipeline &libpipeline-version;</para>
     </listitem>-->
@@ -158,18 +157,18 @@
     <!--<listitem>
       <para>Make &make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC &mpc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>MPFR &mpfr-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Ncurses &ncurses-version;</para>
     </listitem>-->
@@ -176,9 +175,9 @@
     <!--<listitem>
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Perl &perl-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Pkg-config &pkgconfig-version;</para>
     </listitem>
@@ -206,18 +205,18 @@
     <!--<listitem>
       <para>Tar &tar-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tcl-core-&tcl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Texinfo &texinfo-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Vim &vim-version;</para>
     </listitem>-->
@@ -224,9 +223,9 @@
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>XZ-Utils &xz-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Zlib &zlib-version;</para>
     </listitem>-->
@@ -244,7 +243,7 @@
   <itemizedlist>
     <title>Ajoutés :</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
-
+<!--
     <listitem>
       <para>&bash-fixes-patch;</para>
     </listitem>
@@ -253,14 +252,14 @@
       <para>&binutils-upstream-patch;</para>
     </listitem>
 
-<!--    <listitem>
+    <listitem>
       <para>&gcc-upstream-patch;</para>
-    </listitem>-->
+    </listitem>
 
     <listitem>
       <para>&mpfr-upstream-patch;</para>
     </listitem>
-
+-->
   </itemizedlist>
 
   <itemizedlist>
@@ -271,9 +270,9 @@
       <para>Tcl-8.6.3</para>
     </listitem>-->
 
-    <!--<listitem>
-      <para>glibc-2.22-upstream_i386_fix-1.patch</para>
-    </listitem>-->
+    <listitem>
+      <para>mpfr-3.1.3-upstream_fixes-2.patch</para>
+    </listitem>
 
   </itemizedlist>
 

Modified: trunk/lfs/chapter03/patches.xml
===================================================================
--- trunk/lfs/chapter03/patches.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter03/patches.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -58,13 +58,6 @@
         <para>Somme de contrôle MD5 : <literal>&coreutils-i18n-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
-<!--     <varlistentry>
-      <term>Gcc correctif en amont - <token>&gcc-upstream-patch-size;</token> :</term>
-      <listitem>
-        <para>Téléchargement : <ulink url="&patches-root;&gcc-upstream-patch;"/></para>
-        <para>Somme de contrôle MD5 : <literal>&gcc-upstream-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>-->
     <varlistentry>
       <term>Glibc correctif FHS - <token>&glibc-fhs-patch-size;</token> :</term>
       <listitem>
@@ -73,15 +66,6 @@
       </listitem>
     </varlistentry>
 
-<!--    <varlistentry>
-      <term>Glibc correctif i386 - <token>&glibc-upstream-patch-size;</token> :</term>
-      <listitem>
-        <para>Téléchargement : <ulink url="&patches-root;&glibc-upstream-patch;"/></para>
-        <para>Somme de contrôle MD5 : <literal>&glibc-upstream-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
--->
-
     <varlistentry>
       <term>Kbd correctif Effacer/Supprimer - <token>&kbd-backspace-patch-size;</token> :</term>
       <listitem>
@@ -91,14 +75,6 @@
     </varlistentry>
 
     <varlistentry>
-      <term>MPFR Correctif en amont - <token>&mpfr-upstream-patch-size;</token> :</term>
-      <listitem>
-        <para>Téléchargement : <ulink url="&patches-root;&mpfr-upstream-patch;"/></para>
-        <para>Somme de contrôle MD5 : <literal>&mpfr-upstream-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>Readline Corrections en amont - <token>&readline-fixes-patch-size;</token> :</term>
       <listitem>
         <para>Téléchargement : <ulink url="&patches-root;&readline-fixes-patch;"/></para>

Modified: trunk/lfs/chapter05/glibc.xml
===================================================================
--- trunk/lfs/chapter05/glibc.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter05/glibc.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -62,9 +62,7 @@
       --prefix=/tools                    \
       --host=$LFS_TGT                    \
       --build=$(../scripts/config.guess) \
-      --disable-profile                  \
       --enable-kernel=&min-kernel;             \
-      --enable-obsolete-rpc              \
       --with-headers=/tools/include      \
       libc_cv_forced_unwind=yes          \
       libc_cv_ctors_header=yes           \
@@ -82,8 +80,8 @@
           croisé dans <filename class="directory">/tools</filename>.</para>
         </listitem>
       </varlistentry>
-      <varlistentry>
-        <term><parameter>--disable-profile</parameter></term>
+<!--      <varlistentry>
+        <term><parameter>- -disable-profile</parameter></term>
         <listitem>
           <para>Ceci construit les bibliothèques sans les informations de
           profilage. Enlevez cette option si le profilage sur les outils 
@@ -90,7 +88,7 @@
           temporaires est nécessaire.</para>
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry>
         <term><parameter>--enable-kernel=&min-kernel;</parameter></term>
         <listitem>
@@ -100,8 +98,8 @@
         </listitem>
       </varlistentry>
 
-      <varlistentry>
-        <term><parameter>--enable-obsolete-rpc</parameter></term>
+<!--      <varlistentry>
+        <term><parameter>- -enable-obsolete-rpc</parameter></term>
         <listitem>
           <para>Ceci installe les en-têtes liées £ NIS et à RPC qui ne sont
           pas installées par défaut. Elles sont nécessaires pour construire GCC
@@ -108,6 +106,7 @@
           et plusieurs paquets BLFS.</para>
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry>
         <term><parameter>--with-headers=/tools/include</parameter></term>

Modified: trunk/lfs/chapter05/ncurses.xml
===================================================================
--- trunk/lfs/chapter05/ncurses.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter05/ncurses.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -43,7 +43,7 @@
   <sect2 role="installation">
     <title>Installation de Ncurses</title>
 
-    <para>Tout d'abord, assurez-vous que gawk est découvert en premier lors de
+    <para>Tout d'abord, assurez-vous que <command>gawk</command> est découvert en premier lors de
     la configuration :</para>
 
 <screen><userinput remap="pre">sed -i s/mawk// configure</userinput></screen>

Modified: trunk/lfs/chapter06/createfiles.xml
===================================================================
--- trunk/lfs/chapter06/createfiles.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter06/createfiles.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -221,14 +221,14 @@
   s'ils n'existent pas. Initialisez les journaux et donnez-leur les bons
   droits :</para>
 
-<screen><userinput>touch /var/log/{btmp,lastlog,wtmp}
+<screen><userinput>touch /var/log/{btmp,lastlog,faillog,wtmp}
 chgrp -v utmp /var/log/lastlog
 chmod -v 664  /var/log/lastlog
 chmod -v 600  /var/log/btmp</userinput></screen>
 
   <para>Le fichier <filename>/var/log/wtmp</filename> enregistre toutes les
-  connexions et les déconnexions. Le fichier <filename>/var/log/lastlog</filename> enregistre
-  le moment de connexion de chaque utilisateur. Le fichier
+  connexions et les déconnexions. Le fichier <filename>/var/log/faillog</filename> enregistre
+  les échecs des tentatives de connexion. Le fichier
   <filename>/var/log/btmp</filename> enregistre les tentatives de connexion
   échouées.</para>
 

Modified: trunk/lfs/chapter06/glibc.xml
===================================================================
--- trunk/lfs/chapter06/glibc.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter06/glibc.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -94,7 +94,6 @@
     <para>Préparez la compilation de Glibc :</para>
 
 <screen><userinput remap="configure">../configure --prefix=/usr          \
-             --disable-profile      \
              --enable-kernel=&min-kernel; \
              --enable-obsolete-rpc</userinput></screen>
 
@@ -128,8 +127,8 @@
       </listitem>
 
       <listitem>
-        <para>Le test math échoue parfois lorsqu'il s'exécute sur des systèmes ou
-        le processeur n'est un Intel ou un AMD très récent.</para>
+        <para>Le test math échoue parfois lorsqu'il s'exécute sur des systèmes où
+        le processeur n'est pas un Intel ou un AMD très récent.</para>
       </listitem>
 <!--      
       <listitem>
@@ -418,7 +417,7 @@
 
       <seglistitem>
         <seg>catchsegv, gencat, getconf, getent, iconv, iconvconfig, ldconfig,
-        ldd, lddlibc4, locale, localedef, makedb, mtrace, nscd, pcprofiledump,
+        ldd, lddlibc4, locale, localedef, makedb, mtrace, nscd, 
         pldd, rpcgen, sln, sotruss, sprof, tzselect, xtrace,
         zdump et zic</seg>
         <seg>ld-&glibc-version;.so, libBrokenLocale.{a,so}, libSegFault.so, libanl.{a,so},
@@ -426,7 +425,7 @@
         libcrypt.{a,so}, libdl.{a,so}, libg.a, libieee.a, libm.{a,so},
         libmcheck.a, libmemusage.so, libnsl.{a,so}, libnss_compat.so,
         libnss_dns.so, libnss_files.so, libnss_hesiod.so, libnss_nis.so,
-        libnss_nisplus.so, libpcprofile.so, libpthread.{a,so},
+        libnss_nisplus.so, libpthread.{a,so},
         libpthread_nonshared.a, libresolv.{a,so}, librpcsvc.a, librt.{a,so},
         libthread_db.so et libutil.{a,so}</seg>
         <seg>/usr/include/arpa, /usr/include/bits, /usr/include/gnu,
@@ -591,6 +590,7 @@
         </listitem>
       </varlistentry>
 
+<!--
       <varlistentry id="pcprofiledump">
         <term><command>pcprofiledump</command></term>
         <listitem>
@@ -600,6 +600,7 @@
           </indexterm>
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="pldd">
         <term><command>pldd</command></term>
@@ -873,6 +874,7 @@
         </listitem>
       </varlistentry>
 
+<!--
       <varlistentry id="libpcprofile">
         <term><filename class="libraryfile">libpcprofile</filename></term>
         <listitem>
@@ -883,6 +885,7 @@
           </indexterm>
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="libpthread">
         <term><filename class="libraryfile">libpthread</filename></term>

Modified: trunk/lfs/chapter06/mpfr.xml
===================================================================
--- trunk/lfs/chapter06/mpfr.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter06/mpfr.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -41,10 +41,12 @@
   <sect2 role="installation">
     <title>Installation de MPFR</title>
 
+<!--
     <para>Tout d'abord, appliquez le correctif suivant pour corriger des bogues
     traités en amont :</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&mpfr-upstream-patch;</userinput></screen>
+-->
 
     <para>Préparez la compilation de MPFR :</para>
 

Modified: trunk/lfs/chapter06/texinfo.xml
===================================================================
--- trunk/lfs/chapter06/texinfo.xml	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/chapter06/texinfo.xml	2016-03-09 12:09:36 UTC (rev 7071)
@@ -43,7 +43,7 @@
 
 <para>Préparez la compilation de Texinfo :</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --disable-static</userinput></screen>
 
     <para>Compilez le paquet :</para>
 
@@ -99,12 +99,14 @@
 
     <segmentedlist>
       <segtitle>Programmes installés</segtitle>
-      <segtitle>Répertoire installé</segtitle>
+      <segtitle>Bibliothèque installée</segtitle>
+      <segtitle>Répertoires installés</segtitle>
 
       <seglistitem>
         <seg>info, install-info, makeinfo (link to texi2any),
         pdftexi2dvi, pod2texi, texi2any, texi2dvi, texi2pdf et texindex</seg>
-        <seg>/usr/share/texinfo</seg>
+        <seg>XSParagraph.so</seg>
+        <seg>/usr/share/texinfo et /usr/lib/texinfo</seg>
       </seglistitem>
     </segmentedlist>
 

Modified: trunk/lfs/general.ent
===================================================================
--- trunk/lfs/general.ent	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/general.ent	2016-03-09 12:09:36 UTC (rev 7071)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="utf-8"?>
-<!ENTITY version         "SVN-20160226">
+<!ENTITY version         "SVN-20160309">
 <!ENTITY short-version   "svn">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "26 février 2016">
+<!ENTITY releasedate     "9 mars 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not – -->
 <!ENTITY milestone       "7.9">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->

Modified: trunk/lfs/packages.ent
===================================================================
--- trunk/lfs/packages.ent	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/packages.ent	2016-03-09 12:09:36 UTC (rev 7071)
@@ -383,12 +383,12 @@
 
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "4">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "85,249 Ko">
+<!ENTITY linux-size "85,262 Ko">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "d1b8be99e6c12cbc52b2af0520d550bb">
+<!ENTITY linux-md5 "73d1835cfb6dd348d87c8c2413190c21">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
  allnoconfig extended for a hopefully-bootable build on desktop machine,
@@ -445,10 +445,10 @@
 <!ENTITY mpc-ch6-du "17.5 Mo">
 <!ENTITY mpc-ch6-sbu "0.3 SBU">
 
-<!ENTITY mpfr-version "3.1.3">
-<!ENTITY mpfr-size "1,087 Ko">
+<!ENTITY mpfr-version "3.1.4">
+<!ENTITY mpfr-size "1,096 Ko">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
-<!ENTITY mpfr-md5 "6969398cd2fbc56a6af570b5273c56a9">
+<!ENTITY mpfr-md5 "064b2c18185038e404a401b830d59be8">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 <!ENTITY mpfr-ch6-du "46 Mo">
 <!ENTITY mpfr-ch6-sbu "0.8 SBU">
@@ -483,10 +483,10 @@
 <!ENTITY perl-ch6-du "238 Mo">
 <!ENTITY perl-ch6-sbu "6.3 SBU">
 
-<!ENTITY pkgconfig-version "0.29">
-<!ENTITY pkgconfig-size "1,928 Ko">
+<!ENTITY pkgconfig-version "0.29.1">
+<!ENTITY pkgconfig-size "1,967 Ko">
 <!ENTITY pkgconfig-url "http://pkgconfig.freedesktop.org/releases/pkg-config-&pkgconfig-version;.tar.gz">
-<!ENTITY pkgconfig-md5 "77f27dce7ef88d0634d0d6f90e03a77f">
+<!ENTITY pkgconfig-md5 "f739a28cae4e0ca291f82d1d41ef107d">
 <!ENTITY pkgconfig-home "http://www.freedesktop.org/wiki/Software/pkg-config">
 <!ENTITY pkgconfig-ch6-du "29 Mo">
 <!ENTITY pkgconfig-ch6-sbu "0.3 SBU">
@@ -559,11 +559,11 @@
 <!ENTITY tar-ch6-du "39 Mo">
 <!ENTITY tar-ch6-sbu "2.3 SBU">
 
-<!ENTITY tcl-version "8.6.4">
+<!ENTITY tcl-version "8.6.5">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "5,677 Ko">
+<!ENTITY tcl-size "5,710 Ko">
 <!ENTITY tcl-url "http://sourceforge.net/projects/tcl/files/Tcl/&tcl-version;/tcl-core&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "8b8c9d85469d8dbe32e51117b8ef11e3">
+<!ENTITY tcl-md5 "611d34844a2e9158b721e3e3daa6f127">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
 <!ENTITY tcl-ch5-du "40 Mo">
 <!ENTITY tcl-ch5-sbu "0.4 SBU">

Modified: trunk/lfs/patches.ent
===================================================================
--- trunk/lfs/patches.ent	2016-03-09 11:29:09 UTC (rev 7070)
+++ trunk/lfs/patches.ent	2016-03-09 12:09:36 UTC (rev 7071)
@@ -30,10 +30,6 @@
 <!ENTITY kbd-backspace-patch-md5 "f75cca16a38da6caa7d52151f7136895">
 <!ENTITY kbd-backspace-patch-size "12 Ko">
 
-<!ENTITY mpfr-upstream-patch "mpfr-&mpfr-version;-upstream_fixes-2.patch">
-<!ENTITY mpfr-upstream-patch-md5 "ef2f0b72f7e2dcc7775303bd3b850bca">
-<!ENTITY mpfr-upstream-patch-size "138 Ko">
-
 <!ENTITY readline-fixes-patch "readline-6.3-upstream_fixes-3.patch">
 <!ENTITY readline-fixes-patch-md5 "6b0d9f4e79319d56a7fee9b35e5cfd1b">
 <!ENTITY readline-fixes-patch-size "8 Ko">



Plus d'informations sur la liste de diffusion lfs-traducfr